#!/bin/sh

. /etc/init.d/common

[ -c /dev/urandom ] || exit 0

function load_seed() {
	if [ -f /var/lib/urandom/random-seed ]; then
		cat /var/lib/urandom/random-seed >/dev/urandom
	fi
}

function save_seed() {
	rm -f /var/lib/urandom/random-seed
	umask 077
	dd if=/dev/urandom of=/var/lib/urandom/random-seed bs=512 count=1 >/dev/null 2>&1
}

echo -n $"Loading random seed"
load_seed && save_seed && echo "$OK" || echo "$ERR"

exit 0
